/*
 * polling process stuff that gets called from client run.
 *
 * written by Cyrus Patel <cyp@fb14.uni-mainz.de>
 *
*/
#ifndef __NWC_PPRUN_H__
#define __NWC_PPRUN_H__

void nwCliUninitPollingProcedures(void); //this must be clib-call free
void nwCliInitPollingProcedures(void);
class Problem; /* forward reference */
int nwCliRunProblemAsCallback( Problem *prob, int threadindex, int priority );
void nwCliResetProfiling(void);

#endif /* __NWC_PPRUN_H__ */
